#include "SnakeTile.h"

SnakeTile::SnakeTile(QObject *parent) : GeoArea(parent) { init(); }

SnakeTile::SnakeTile(const SnakeTile &other, QObject *parent)
    : GeoArea(other, parent) {
  init();
}

SnakeTile::~SnakeTile() {}

QString SnakeTile::mapVisualQML() const { return QStringLiteral(""); }

QString SnakeTile::editorQML() const { return QStringLiteral(""); }

SnakeTile *SnakeTile::clone(QObject *parent) const {
  return new SnakeTile(*this, parent);
}

void SnakeTile::push_back(const QGeoCoordinate &c) { this->appendVertex(c); }

void SnakeTile::init() { this->setObjectName("Tile"); }
